http_match_etag
http_match_request_header
HTTP Functions
PHP Manual

# http_match_modified

(PECL pecl_http:0.1.0-1.5.5)

http_match_modified — Match last modification

### Description

bool http_match_modified ([ int `$timestamp` [, bool `$for_range = FALSE` ]] )

Matches the given Unix timestamp against the clients If-Modified-Since resp. If-Unmodified-Since HTTP headers.

### Parameters

`timestamp`

  Unix timestamp; current time, if omitted

`for_range`

  if set to `TRUE`, the header usually used to validate HTTP ranges will be checked

### Return Values

Returns `TRUE` if timestamp represents an earlier date than the header, else `FALSE`.

### See Also

- http_match_etag()
- http_match_request_header()
- http_cache_etag()
- http_cache_last_modified()

http_match_etag
http_match_request_header
HTTP Functions
PHP Manual